<template>
    <div class="centre">
        <div class="uk-padding-small uk-position">
            <div :id="boardName" />
        </div>
    </div>
</template>

<script lang="ts">
import Component, { mixins } from 'vue-class-component';
import Goban from './Goban.vue';

@Component
export default class GobanPresentation extends mixins(Goban) {
    public definirSize() {
        this.size =
            document.getElementById('main-container').clientWidth * 0.45;
    }
}
</script>

<style>
.centre {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}
</style>
